#!/usr/bin/python
import commands
boxFile = open('box.dat','r')
boxFile.seek(0)
cellSetFile = open('system/cellSetDict.boxes','w')
cellSetFile.write("FoamFile\n{ \n\
    version \t 2.0;\n\
    format \t ascii;\n\n\
    root \t \".\";\n\
    case \t \".\";\n\
    instance \t \"system\";\n\
    local \t \"\";\n\n\
    class \t dictionary;\n\
    object \t cellSetDict;\n\
}\n\n\
name boxes;\n\
action new;\n\
topoSetSources\n\
(\n\
")
line = 0
for line in boxFile:
   (sx,sy,sz,ex,ey,ez)=(0,0,0,0,0,0)
   points = line[:-1].split(' ')
   if len(points) > 1:
#      (sx,sy,sz,ex,ey,ez)=(float(points[0]),float(points[1]),float(points[2]),\
      (sx,sy,sz,ex,ey,ez)=(points[0],points[1],points[2],\
                           points[3],points[4],points[5])
#      cellSetFile.write("boxToCell\n\t{\n\t\
#      box ("+repr(sx)+" "+repr(sy)+" "+repr(sz)+") ("+repr(ex)+" "+repr(ey)+" "+repr(ez)+");\n\t}\n")
      cellSetFile.write("boxToCell\n\t{\n\t\
      box ("+sx+" "+sy+" "+sz+") ("+ex+" "+ey+" "+ez+");\n\t}\n")

cellSetFile.write(");")
invertFile = open('system/cellSetDict.invert','w')
invertFile.write("FoamFile\n{ \n\
    version \t 2.0;\n\
    format \t ascii;\n\n\
    root \t \".\";\n\
    case \t \".\";\n\
    instance \t \"system\";\n\
    local \t \"\";\n\n\
    class \t dictionary;\n\
    object \t cellSetDict;\n\
}\n\n\
name boxes;\n\
action invert;\n\
topoSetSources\n\
(\n);\n\
")

cellSetFile.close()
invertFile.close()

commands.getstatusoutput('cp -rf system/cellSetDict.boxes system/cellSetDict')
commands.getstatusoutput('cellSet >> log.cellSet 2>&1 ')
commands.getstatusoutput('cp -rf system/cellSetDict.invert system/cellSetDict')
commands.getstatusoutput('cellSet >> log.cellSet 2>&1 ')
commands.getstatusoutput('subsetMesh boxes >> log.cellSet 2>&1 ')

print "end"
